=== debian/changelog ===
euro-support (1.11) unstable; urgency=low

  * Added Debhelp build depends (Closes: #141266)
  * Applied patch for xdpyinf (Closes: #136123)
  * Fixed docbase file (Closes: #137253)
  * Fixed templates file (Closes: #136511)
  * Added russian template file Closes: #137644)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  5 Apr 2002 15:23:46 +0200

euro-support (1.10) unstable; urgency=low

  * Fixed euro-test to work with fonts with spaces in them (Closes: #135100)
  * Fixed euro-test to use xmodmap directly (Closes: #135015)
  * Added french debconf template (Closes: #134628)
  * Added german debconf template (Closes: #133412)
  * Separated template files into different files to allow translators
  to track changes
  * Updated documentation

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 25 Feb 2002 13:34:33 +0100

euro-support (1.9) unstable; urgency=low

  * Fixed euro-test (Closes: #131895)
  * Updated notes regarding KDE (Closes: #125668, #129659)
  * Added note regarding locale definition (Closes: #129617)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon,  4 Feb 2002 12:05:00 +0100

euro-support (1.8) unstable; urgency=low

  * The debconf's note was not being shown due to an error on my behalf

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 15 Jan 2002 18:06:06 +0100

euro-support (1.7) unstable; urgency=low

  * Updated documentation (Closes: #129324)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 15 Jan 2002 09:33:05 +0100

euro-support (1.6) unstable; urgency=low

  * Added support for languages that do not use Altgr+E (untested)
  * Fixed a message in the euro-test script that was still in spanish
  * Added a way in euro-test to determine which Xfree86 version is being
  used and switch from currency to EuroSign

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 12 Jan 2002 20:11:44 +0100

euro-support (1.5) unstable; urgency=high

  * Fixed recommends (ouch!) (Closes: #128513)
  * Updated documentation
  * Changed from currency in Xmodmap to EuroSign which seems to be the proper
  name for Xfree86 4.1

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 11 Jan 2002 10:22:44 +0100

euro-support (1.4) unstable; urgency=low

  * Added a debconf note, and added info to README.Debian. Euro-support
  will not configure a Debian system and it is not intended to (Closes: #127993)
  * Updated the documentation, now refers to language-env (Closes: #127885)
  * Fixed euro-test with patch from Diego Biurrun and changed Recommends:
  (Closes: #127279)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed,  9 Jan 2002 19:04:59 +0100

euro-support (1.3) unstable; urgency=medium

  * Changed printf to /usr/bin/printf as suggested by Gerfried Fuchs
  (Closes: #119254)
  * Updated to euro-howto 0.8 (Closes: #127343, #127341)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  4 Jan 2002 09:16:27 +0100

euro-support (1.2) unstable; urgency=low

  * Added xterm to Recommends (since it's not absolutely needed, cannot
  add x-terminal-emulator since the font definition is term dependant...)
  (Closes: #124124)
  * Added another note for users to read the Manual!

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 20 Dec 2001 09:44:04 +0100

euro-support (1.1) unstable; urgency=high

  * Fixed doc-base file (Closes: #122884)
  * Added a note to the README regarding spanish users (Closes: #122886)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 10 Dec 2001 11:46:11 +0100

euro-support (1.0) unstable; urgency=medium

  * Moved from experimental to unstable
  * Updated Debian Euro HOWTO document
  * (temporarely) removed euro-support-x and euro-support-console since they
  only add dependancies and nothing else (not very useful)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  7 Dec 2001 14:00:45 +0100

euro-support (0.9) experimental; urgency=low

  * Fixed manual Makefile (Closes: #120580)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 26 Nov 2001 09:53:28 +0100

euro-support (0.8) experimental; urgency=low

  * Fixed manual/Makefile so that it removes the SGML document on cleanup
  * Updated to version 0.5 of the HOWTO documentation
  * Added Build-Depends and Depends
  * Fixed euro-test to be sh compliant (Closes: #119254)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 23 Nov 2001 14:17:03 +0100

euro-support (0.7) experimental; urgency=low

  * Document is now retrieved from CVS
  * ... and is now included in the package (Closes: #120580)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 22 Nov 2001 21:58:57 +0100

euro-support (0.6) experimental; urgency=low

  * Changed debian/rules so manpages are installed on only one package 
  (Closes: #119253)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 12 Nov 2001 17:55:42 +0100

euro-support (0.5) experimental; urgency=low

  * Moved to experimental for upload
  * Euro-test not tells user to RTFM
  * Fixed some gettext translations incoherences
  * Added more information to the manual

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  6 Nov 2001 10:13:47 +0100

euro-support (0.4) unstable; urgency=low

  * Fixed typo in description, changed to architecture: all 
  * Added -l en to debiandoc compilation
  * Fixed location of HTML files (made install-docs complain)
  * Removed references to user-es in euro-test

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun,  4 Nov 2001 23:57:55 +0100

euro-support (0.3) unstable; urgency=low

  * Splitte the package into three: one for X and one for console env

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  2 Nov 2001 13:27:46 +0100

euro-support (0.2) unstable; urgency=low

  * Updated the manual with new information and parragraphs
  * Fixed the changelog since it is a Debian-orig package

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 30 Oct 2001 10:25:40 +0100


