=== debian/control ===
Source: euro-support
Section: misc
Priority: optional
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends: cvs, debiandoc-sgml, debhelper
Standards-Version: 3.0.1

Package: euro-support
Architecture: all
Depends: gettext
Recommends: x-terminal-emulator
Description: Use euro character in your Debian system
 This package provides information on how to use the euro
 character in your Debian GNU/Linux system. Currently there
 is no automatic way to provide such support but configuration
 can be easily done following the guidelines in the 
 "Debian Euro HOWTO" document provided by this package.
 .
 The 'euro-test' script will tell you if your Debian system needs
 configuring in order to display the euro char.

Package: euro-support-x
Architecture: all
Depends: xfonts-base-transcoded, xfonts-75dpi-transcoded | xfonts-100dpi-transcoded, euro-support
Description: Use euro character in your X environment
 This package provides information on how to use the euro
 character in your Debian GNU/Linux system's X environment as well as
 dependancies that assure you have the needed software installed.
 .
 The 'euro-test' script will tell you if your Debian system needs
 configuring in order to display the euro char.

Package: euro-support-console
Architecture: all
Depends: console-data (>= 1999.08.29-11.1) | fonty, euro-support
Description: Use euro character in your console environment
 This package provides information on how to use the euro
 character in your Debian GNU/Linux system's console environment as well as
 dependencies that assure you have the needed software installed.
 .
 The 'euro-test' script will tell you if your Debian system needs
 configuring in order to display the euro char.
