## euro-support 1.28

=== debian/changelog ===
euro-support (1.28) unstable; urgency=low

  * Added tetex-bin, tetex-extra, texinfo to the Build-Depends-Indep and
    removed cvs, this should make autobuilders include info, pdfs and
    text versions (Closes: #253666)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 10 Jun 2004 22:11:00 +0200

euro-support (1.27) unstable; urgency=low

  * Added Danish debconf translation provided by Morten Brix Pedersen (Closes:
    #241245)
  * Added German po translation provided by Florian Ernst
    (Closes: #243982)
  * Added Czech debconf translation provided by Miroslav Kure (Closes: #244419)
  * Updated french manpage with patch from  Julien Louis (Closes: #244888)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 25 May 2004 01:08:52 +0200

euro-support (1.26) unstable; urgency=low

  * "The day after the tragedy" release.
    Esta versin est dedicada a todos aquellos que perdieron
    sus vidas o fueron heridos en el brutal atentado terrorista
    en Madrid de ayer. Mis ms sinceras condolencias a sus familias
    y amigos en este triste da.
   (This release is dedicated to all those who lost their lives
    or were injured in the brutal terrorist attack in Madrid
    yesterday. My deepest condolences to their families and friends in
    this sorrowful day.)
  * Fix doc-base file (Closes: #236215)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 12 Mar 2004 09:20:33 +0100

euro-support (1.25) unstable; urgency=low

  * Added new japanese po template provided by Hideki Yamane,
    now with proper encoding (Closes: #235863)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed,  3 Mar 2004 20:22:48 +0100

euro-support (1.24) unstable; urgency=low

  * Updated french and italian translations from my copy of the CVS
  * Added japanese po template provided by  Hideki Yamane (Closes: #229292)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 24 Jan 2004 13:57:46 +0100

euro-support (1.23) unstable; urgency=low

  * Fixed README.Debian file (Closes: #219250) 

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 15 Nov 2003 18:26:36 +0100

euro-support (1.22) unstable; urgency=low

  * Fixed lintian warning (dh_make boilerplate in copyright)
  * Extended copyright to 2003
  * Postinst now loads debconf libraries

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 28 Oct 2003 01:58:05 +0100

euro-support (1.21) unstable; urgency=low

  * Updated Standards-Version
  * Changed short description (Closes: #212971)
  * Added translations for pt and nl contributed by 
   Bruno Rodrigues and Cobaco (Closes: #216262, #216308)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 28 Oct 2003 01:32:40 +0100

euro-support (1.20) unstable; urgency=low

  * Applied patch to use po-debconf and updated french translation
    (Closes: #200118)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 24 Aug 2003 15:01:20 +0200

euro-support (1.19) unstable; urgency=low

  * Fixed the location defined in the doc-base template
    (Closes: #196130, #196128)
  * Added a 'clean' target to the manual/ subdir
  * Fixed the Makefile so CVS access is not mandatory to build
    the package.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  5 Jun 2003 00:48:57 +0200

euro-support (1.18) unstable; urgency=low

  * I forgot to do a 'cvs commit' and thus the 1.17 version of the
    package included the document release 1.1, this version _does_
    include release 1.2 (revision 1.32) which fixes bugs
    #185752 and #185751.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed,  4 Jun 2003 01:16:04 +0200

euro-support (1.17) unstable; urgency=low

  * Updated to the latest version of the euro-support manual
  	- Includes the available translations (Closes: #161804)
        - Fixes the information related to Perl (Closes: #185752)
        - Fixes the information related to mutt (Closes: #185751)
  * Modified the update mechanism so that all the CVS directory for
    the manuals is retrieved, compiled and published.
  * Included the French manpage in the package (Closes: #180251)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed,  4 Jun 2003 00:18:44 +0200

euro-support (1.16) unstable; urgency=low

  * Fixed call to template (Closes: #174758)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed,  1 Jan 2003 15:07:59 +0100

euro-support (1.15) unstable; urgency=low

  * Added Danish translation (Closes: #174733) 
  * Updated manual
  * Spell checked manual pages (Closes: #137460)
  * Added information in the manual related to the 'gb' keyboard, this is an
    Xlib bug see #173777 (Closes: #141175)
  * Fixed Depends: of euro-support it now Recommends: the test programs
    (Closes: #166938)
  * Updated Standards-Version

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 30 Dec 2002 17:47:45 +0100

euro-support (1.14) unstable; urgency=low

  * Fixed lintian errors.
  * Changed Build-Depends to Build-Depends-Indep
  * Fixed typo in description.
  * Added debconf dependency.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 14 May 2002 10:13:12 +0200

euro-support (1.13) unstable; urgency=low

  * Changed the package so that the sgml files is not removed from the
    source package and so that it uses cvs co to update the sources.
    (Closes: #146096

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 13 May 2002 14:17:22 +0200

euro-support (1.12) unstable; urgency=low

  * Updated Standards Version
  * Updated from CVS sources (euro-support version 0.92, revision 1.29)
  * Added information regarding building from source in README.Debian
  * Fixed Build-Depends (Closes: #146096)
  * Added Tgif information to upstream sources (Closes: #1430549)
  * Removed .ex files from sources

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  7 May 2002 10:28:27 +0200
