=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 	
 	# Add here commands to compile the package.
-	#$(MAKE)
+	$(MAKE) 
 
 	touch build-stamp
