## euro-support 1.31

=== po/Makefile ===

DOMAIN=euro-support
all: $(DOMAIN).pot es.mo

es.mo: $(DOMAIN).pot es.po
	./create_mo es

# Since xgettext currently does not work correctly with shell files...
#$(DOMAIN).pot:
#	xgettext --add-comments --force --default-domain=$(DOMAIN) \
#		--output=$(DOMAIN).pot --files-from=POTFILES -C
#	for file in `cat POTFILES`; do ./extract-gettext-sh $$file >>$(DOMAIN).pot; done
# I made it by hand with help of scripts:
$(DOMAIN).pot: $(DOMAIN).1st
	cp $(DOMAIN).1st $(DOMAIN).pot

install: es.mo
	- install -d $(DESTDIR)/usr/share/locale/es/LC_MESSAGES/
	- install -m 644 es.mo $(DESTDIR)/usr/share/locale/es/LC_MESSAGES/$(DOMAIN).mo

clean:
	- rm *.pot
	- rm *.pox
	- rm *.mo
