=== debian/changelog ===
euro-support (1.31) unstable; urgency=low

  * Fixed bashisms in /usr/bin/euro-test and also a little typo,
    thanks to Gian Piero Carruba (Closes: #278516)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 21 Nov 2004 12:05:26 +0100

euro-support (1.30) unstable; urgency=medium

  * Fixed typo in debian-euro-support.sgml which prevented compilation
    of the manual (Closes: #268071)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 26 Aug 2004 17:08:45 +0200

euro-support (1.29) unstable; urgency=low

  * Change copyright license of documents to GPL (Closes: #267906)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 25 Aug 2004 16:48:11 +0200
