## euro-support 1.33

=== debian/changelog ===
euro-support (1.33) unstable; urgency=low

  * Fix typo in manpage (Closes: #326512)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun,  4 Sep 2005 16:28:42 +0200

euro-support (1.32) unstable; urgency=low

  * Depend on "| debconf-2.0" as requested by Joey Hess
  * Build-Depend on debhelper as required by policy

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon,  8 Aug 2005 15:23:44 +0200
