=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: misc
 Priority: optional
 Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
+Build-Depends: debhelper (>=4.1.16)
 Build-Depends-Indep: debhelper (>=4.1.16), gettext, debiandoc-sgml, tetex-bin, tetex-extra, texinfo
 Standards-Version: 3.6.1
 
 Package: euro-support
 Architecture: all
-Depends: gettext, debconf
+Depends: gettext, debconf | debconf-2.0
 Suggests: euro-support-console | euro-support-x
 Description: Help setting up euro character support in your Debian system
  This package provides information on how to use the euro
