## euro-support 1.34

=== debian/changelog ===
euro-support (1.34) unstable; urgency=high

  * Remove Depends: on transcoded xfonts, this is needed to remove
    those packages from testing (Closes: #372700)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 12 Jun 2006 08:05:57 +0200
