=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 Package: euro-support-x
 Architecture: all
-Depends: xfonts-base-transcoded, xfonts-75dpi-transcoded | xfonts-100dpi-transcoded, euro-support
+Depends: euro-support
 Description: Help setting up euro character support in the X environment
  This package provides information on how to use the euro
  character in your Debian GNU/Linux system's X environment as well as
