## euro-support 1.35

=== debian/changelog ===
euro-support (1.35) unstable; urgency=low

  * The "It was time I took care of l10n here" release
    (although this package should be removed for etch+1 as we have moved for
     UTF-8 in the installation now)
  * Use debhelper compatibility version 4 (was about time)
  * Update Standards-Version, fix lintian warnings / errors:
    - do not use ISO-8859-1 in the euro-test.1 manpage
    - convert changelog to UTF-8
  * Remove the euro-support-x and euro-support-console packages, they were 
    really useless.
  * Update the spanish translation for euro-support
  * Fix documentation issues which also breaks upgrades (Closes: #373577, #375259)
  * Fix l10n intraestructure in euro-support with patch from Thomas Huriaux
    (Closes: #355572)
  * New translations:
    - Vietnamese, provided by Clytie Siddall  (Closes: #313594)
    - Italian, provided by Luca Monducci (Closes: #292764)
    - Swedish, provided by Daniel Nylander (Closes: #331341)
  [ manual/DOC/Makefile ]
  * Remove the generation of 'info' documentation (text, HTML and PDF should
    be enough for everybody)
  * Remove .tpt files when distcleaning

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 17 Oct 2006 00:27:19 +0200
