## euro-support 1.36

=== debian/changelog ===
euro-support (1.36) unstable; urgency=low

  * Added French PO program translation contributed by Christian Perrier
    (Closes: #403019)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  2 Jan 2007 18:22:07 +0100
