=== debian/control ===
Source: euro-support
Section: misc
Priority: optional
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends: debhelper (>=4.1.16)
Build-Depends-Indep: debhelper (>=4.1.16), gettext, debiandoc-sgml, tetex-bin, tetex-extra, texinfo
Standards-Version: 3.7.2.2

Package: euro-support
Architecture: all
Depends: gettext, debconf | debconf-2.0
Suggests: euro-support-console | euro-support-x
Description: Help setting up euro character support in your Debian system
 This package provides information on how to use the euro
 character in your Debian GNU/Linux system. Currently there
 is no automatic way to provide such support but configuration
 can be easily done following the guidelines in the 
 "Debian Euro HOWTO" document provided by this package.
 .
 The 'euro-test' script will tell you if your Debian system needs
 configuring in order to display the euro char.
