## euro-support 1.38

=== Makefile ===
DESTDIR=/
prefix=$(DESTDIR)/usr
bindir=$(prefix)/bin

DIRS=manual po

all:
	for dir in $(DIRS); do \
		make -C $$dir all ; \
	done

install:
	install -m 755 euro-test $(bindir)
	for dir in $(DIRS); do \
		make -C $$dir install ; \
	done

clean:
	for dir in $(DIRS); do \
		make -C $$dir clean ; \
	done
