=== po/Makefile ===

DOMAIN=euro-support

POFILES=$(wildcard *.po)
MOFILES=$(patsubst %.po,%.mo,$(POFILES))

all: $(MOFILES)

%.mo: $(DOMAIN).pot %.po
	msgfmt -o $@ $*.po

$(DOMAIN).pot: ../euro-test
	xgettext --default-domain=$(DOMAIN) \
	  --files-from=POTFILES -L Shell -o $(DOMAIN).pot

update-po: $(DOMAIN.pot)
	for po in $(POFILES); do \
	  msgmerge -U $$po $(DOMAIN).pot; \
	done;

install: $(MOFILES)
	-for lang in $(patsubst %.mo, %, $(MOFILES)); do \
	  install -d $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
	  install -m 644 $$lang.mo \
	    $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
	done;

clean: update-po
	- rm -f *.mo
	- rm -f *~

.PHONY: update-po
