=== manual/DOC/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 #
 LANGS = fr it
 
-EXTS=txt info pdf
+EXTS=txt pdf
 ##### END OF CONF PART CHANGE THE END AT YOU OWN RISK
 
 # what will be built
@@ -64,7 +64,7 @@
 	                  )\.html/$*\.html/'`;\
 	 if [ $$file != $$newfile ] ; then\
 	   mv $$file $$newfile;\
-	 fi\
+	 fi;\
 	done;   
 
 
@@ -178,7 +178,7 @@
 
 #====[ cleaning up ]===========================================================
 clean distclean:
-	rm -f debian-euro-support*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,sasp*} *~
+	rm -f debian-euro-support*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,tpt,sasp*} *~
 	rm -rf debian-euro-support*.html
 
 .PHONY: all html txt ps\
