=== debian/changelog ===
euro-support (1.38) unstable; urgency=low

  * Translation changes:
     - Add a proper PO header to both the German and Russian po-debconf
     translations to prevent msgftm from failing.
     - Added Galician translation, provided by Jacobo Tarrio (Closes: #412672)
     - Added Portuguese, provided by Miguel Figueiredo (Closes: #413932)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 13 Mar 2007 16:40:56 +0100

euro-support (1.37) unstable; urgency=low

  * Remove suggests: of old packages (Closes: #408924) 

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 29 Jan 2007 11:58:39 +0100
