=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
 Package: euro-support
 Architecture: all
 Depends: gettext, debconf | debconf-2.0
-Suggests: euro-support-console | euro-support-x
 Description: Help setting up euro character support in your Debian system
  This package provides information on how to use the euro
  character in your Debian GNU/Linux system. Currently there
