=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=1
+export DH_COMPAT=4
 
 build: build-stamp
 build-stamp:
@@ -34,8 +34,8 @@
 	dh_clean -k
 	dh_installdirs
 
-	# Add here commands to install the package into debian/tmp.
-	$(MAKE) install DESTDIR=`pwd`/debian/tmp
+	# Add here commands to install the package into debian/euro-support
+	$(MAKE) install DESTDIR=`pwd`/debian/euro-support
 
 
 # Build architecture-independent files here.
@@ -51,7 +51,7 @@
 	dh_installdocs
 	dh_installexamples characters
 	dh_installmenu
-	dh_installmanpages -peuro-support
+	dh_installman -peuro-support debian/euro-test.1 debian/euro-test.fr.1
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs
